/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 29-12-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/daviddarnes/pen/vbZPxZ */
/* info     -> test2typo */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIABLES */

@font-face {
  font-family: 'Oxanium';
  src: url('fonts/Oxanium-VariableFont_wght.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Anodina-Light';
  src: url('fonts/Anodina-Light.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */

    /* counter - card-front */ 
    --count-color: rgb(255,255,255,.6);	/* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 3rem;                 	/* counter size - def 4rem */
	--count-font: Arial;					/* font-familiy ARIAL */
    /*--count-pos-top:1.4rem;             	/* counter position top - def 1rem NOT IN USE*/
    --count-pos-right:1.6rem;             	/* counter position right - def 1.2rem */
    /*--count-pos-left: 2rem;       		/* counter position left - NOT IN USE */
    --count-pos-bottom: 1.4rem;     			/* counter position bottom -  */ 
    --count-width: 1px;             		/* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              		/* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 25-12-22 */
/* RESET COUNTER -> SEE design.css */
/* TEST2TYPO */
/* https://codepen.io/daviddarnes/pen/vbZPxZ */
/*
@import url("https://rsms.me/inter/inter.css");
:root {
  font-family: "Inter", sans-serif;
  font-size: 16px;
}
*/
@supports (font-variation-settings: normal) {
  :root {
    font-family: 'Anodina-Light', sans-serif;
  }
}
@media screen and (min-width: 320px) {
  :root {
    font-size: calc(16px + 6 * ((100vw - 320px) / 680));
  }
}
@media screen and (min-width: 1000px) {
  :root {
    font-size: 22px;
  }
}

p, h1, h2, h3, h4, h5, h6, blockquote {
  max-width: 30em;
  line-height: 1.4;
  letter-spacing: calc(0.5px + calc(1em * -0.03575));
  margin: 0.67em auto;
}

blockquote {
  font-style: italic;
  /* min-width:50%; */ /* DONT DO THIS */
}

body {
  padding: 1rem;
}


/* https://codepen.io/daviddarnes/pen/yLqNbda */
/* 23-12-2022 */
:root {
  --step--2: clamp(0.78rem, calc(0.77rem + 0.03vw), 0.8rem);
  --step--1: clamp(0.94rem, calc(0.92rem + 0.11vw), 1rem);
  --step-0: clamp(1.13rem, calc(1.08rem + 0.22vw), 1.25rem);
  --step-1: clamp(1.35rem, calc(1.28rem + 0.37vw), 1.56rem);
  --step-2: clamp(1.62rem, calc(1.5rem + 0.58vw), 1.95rem);
  --step-3: clamp(1.94rem, calc(1.77rem + 0.87vw), 2.44rem);
  --step-4: clamp(2.33rem, calc(2.08rem + 1.25vw), 3.05rem);
  --step-5: clamp(2.8rem, calc(2.45rem + 1.77vw), 3.82rem);

  --space-3xs: clamp(0.25rem, calc(0.23rem + 0.11vw), 0.31rem);
  --space-2xs: clamp(0.5rem, calc(0.46rem + 0.22vw), 0.63rem);
  --space-xs: clamp(0.75rem, calc(0.68rem + 0.33vw), 0.94rem);
  --space-s: clamp(1rem, calc(0.91rem + 0.43vw), 1.25rem);
  --space-m: clamp(1.5rem, calc(1.37rem + 0.65vw), 1.88rem);
  --space-l: clamp(2rem, calc(1.83rem + 0.87vw), 2.5rem);
  --space-xl: clamp(3rem, calc(2.74rem + 1.3vw), 3.75rem);
  --space-2xl: clamp(4rem, calc(3.65rem + 1.74vw), 5rem);
  --space-3xl: clamp(6rem, calc(5.48rem + 2.61vw), 7.5rem);
  
  font-family: 'Anodina-Light', -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  line-height: 1.5;
  color: #333;
  background: white;
}

.container {
  max-width: 52.50rem;
  padding: 0 var(--space-m);
  margin-inline: auto;
}

.grid {
  display: grid;
  gap: var(--grid-gutter);
}

.flow > * + * {
  margin-block-end: 0em;
}

/*
h1 {
  font-size: var(--step-5);
  font-variation-settings: "wght" 900;
  margin-block-start: 0;
}
*/
p:first-of-type {
  font-size: var(--step-0);
  font-variation-settings: "wght" 700;
}
/*
p {
  font-size: var(--step-0);
  font-variation-settings: "wght" 400;
}
*/

/*
time {
  font-size: var(--step--2);
  text-transform: uppercase;
  font-variation-settings: "wght" 700;
  opacity: .6;
}
*/

a {
  color: color(display-p3 0.38 0.25 0.91);
  font-variation-settings: "wght" 450;
  text-decoration-color: color(display-p3 0.38 0.25 0.91 / 30%);
  text-underline-offset: .15rem;
  transition: .2s;
}

a:hover {
  text-decoration-color: color(display-p3 0.38 0.25 0.91);
}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */
.count-reset {
	counter-reset:Element; /* reset must be here */
	}

.count-item::before { 
	position:absolute;
  	display:flex;
	/*top:var(--count-pos-top);*/
  	right:var(--count-pos-right);
  	bottom:var(--count-pos-bottom);
  /*left:var(--count-pos-left);*/
	justify-content:center;
  	align-items:center;
  	counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font-family:var(--count-font);
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width);
	  -webkit-font-smoothing:antialiased;
	color:red; /*var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	z-index:999;
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */